## nslu2-utils 20080403-1

=== debian/changelog ===
nslu2-utils (20080403-1) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove the initramfs hook that sets the root filesystem because
    this is done in flash-kernel (1.8 and higher) now.

  [ Joey Hess ]
  * Updated to current slugos-init snapshot, supporting 2.6.25 led names.
  * This drops use of the cpu-idle heartbeat, and will just turn
    the status led on in single user mode.
  * Updated the README.Debian.
  * Fix leds script to not pass "user" to led_set, since the user
    default code is gone.
  * Beep using /dev/input/event1, not event0. This seems right with
    both kernel versions I tested (2.6.24 and 2.6.25).
  * Add support for "leds disk-n on/off" for 2.6.25 kernel.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:54:53 -0400

nslu2-utils (0.10+r71-14) unstable; urgency=low

  * Improve firmware check. The ethernet module might be loaded but not
    used, with no firmware present. So check if the ethernet interface
    carrying the default route is ixp4xx_mac.
  * Add support for the ixp4xx_eth driver in 2.6.24. (Patch from Gordon
    Farquharson)

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 13:48:25 -0500

nslu2-utils (0.10+r71-13) unstable; urgency=low

  * Add a hint about dropbear.
  * Split slugimage out to its own source package.
  * Use new copyright file format.

 -- Joey Hess <joeyh@debian.org>  Wed, 06 Jun 2007 23:41:26 -0400

nslu2-utils (0.10+r71-12) unstable; urgency=low

  * Remove old manual udev rules symlinking code from postinst.

 -- Joey Hess <joeyh@debian.org>  Wed, 09 May 2007 13:42:27 -0400

nslu2-utils (0.10+r71-11) unstable; urgency=low

  * Rebuilt with debhelper 5.0.49, udev rules files will stop being symlinks
    and will be directly in /etc/udev/rules.d, with transition code.
  * Correct naming and installation of the leds udev rules file, which was not
    included in the deb in the previous release.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 May 2007 14:59:08 -0400

nslu2-utils (0.10+r71-10) unstable; urgency=low

  * Add udev rules to turn the leds on and off as USB drives are plugged and
    unplugged. Thanks to Brendan O'Dea. Closes: #413093
  * Applied tbm's patch to put ROOT setting into conf.d/default_root instead
    of conf/param.conf, to allow it to be overridden from APEX.
    Closes: #405857

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2007 16:16:00 -0500

nslu2-utils (0.10+r71-9) unstable; urgency=low

  * Add armel architecture.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 14:18:30 -0500

nslu2-utils (0.10+r71-8) unstable; urgency=low

  * List LED names in leds.8. Closes: #406560
  * Correct a misparse of /etc/fstab if it contains nfs mount points with a
    source directory ending in a "/". (Ie, "foo:/home/")

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Feb 2007 01:29:05 -0500

nslu2-utils (0.10+r71-7) unstable; urgency=medium

  * Make /etc/fstab parsing more robust:
     - Parse LABEL and UUID strings and convert them to a device.
       Closes: #403012
     - Prompt the user if the device doesn't exist.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 05 Feb 2007 22:48:49 +0100

nslu2-utils (0.10+r71-6) unstable; urgency=low

  * Fix fstab parsing to ignore comments. Closes: #405566

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Jan 2007 11:20:56 -0500

nslu2-utils (0.10+r71-5) unstable; urgency=low

  * Make initramfs-tools hook scripts executable; since they're patched in,
    the executability isn't preserved when autobuilding.

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Nov 2006 18:03:58 -0500

nslu2-utils (0.10+r71-4) unstable; urgency=low

  * Fix typoed NSLU2. Closes: #399568

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Nov 2006 16:16:15 -0500

nslu2-utils (0.10+r71-3) unstable; urgency=low

  * Patch from Daniel Kahn Gillmor correcting inverted speeds in "leds fast"
    and "leds slow". Closes: #397744

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Nov 2006 18:33:20 -0500

nslu2-utils (0.10+r71-2) unstable; urgency=low

  * Fix leds beep to use /dev/input/event0 and correct path to beep
    program.
  * Suggest beep package.

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 14:54:16 -0500

nslu2-utils (0.10+r71-1) unstable; urgency=low

  [ Joey Hess ]
  * Add note to README.Debian about using avahi-autoipd.
  * Since initramfs-tools ignores hook script nonzero exit codes, deal with
    errors differently -- print a warning message, instruct the user to hit
    ctrl-c, and pause for user input.
  * Remove NSLU2_IXP400_REQUIRED and /etc/nslu2.conf, since the user can just
    hit enter to force building an initramfs missing the kernel module.
  * Depend on flash-kernel, replace nslu2-flashkernel with a wrapper that
    calls it; nslu2-flashkernel is deprecated and /etc/kernel-img.conf
    should be modified to use flash-kernel.
  * Support the debian 2.6.18-1-ixp4xx kernel, which as of version 2.6.18-4,
    includes a free IXP ethernet driver, that needs only some non-free
    firmware. Add code to check for the firmware if building an initramfs for
    this version of the kernel.

  [ Martin Michlmayr ]
  * In nslu2-flashkernel check whether the APEX flash partition exists,
    otherwise give a link to upgrade instructions.

  [ Joey Hess ]
  * Add code to the postinst to run flash-kernel on upgrade, IFF the APEX
    flash partition exists. It's not necessary to run it on fresh install
    since flash-kernel-installer in d-i will handle that.
  * Update slugos-init files to r71.
  * Add udev rule file to create /dev/rtc0 -> /dev/rtc symlink.
  * Add /etc/rcS.d/S10nslu2-rtc.sh, which modprobes rtc-dev before hwclock.sh
    runs.
  * Use the heartbeat led trigger for cpu-idle.
  * For the user led state, set ready to on, and status to cpu-idle, this
    looks better than the upstream setting of ready to cpu-idle and status to
    off.
  * Fix an unnecessary nonzero exit from the leds program.
  * Include leds.8 in the package.
  * Modified zleds startup script to turn on the disk led. For now

