## nslu2-utils 20080403-3

=== debian/changelog ===
nslu2-utils (20080403-3) unstable; urgency=low

  [ Martin Michlmayr ]
  * Don't call flash-kernel in the postinst because update-initramfs
    (which is also called in the postinst) calls flash-kernel now.
    Closes: #498987

  [ Gordon Farquharson ]
  * Find the input device via /sys instead of hardcoding it. Closes: #481535
  * Update the disk LED udev rule to work with USB 1.x and 2.0 devices.
    Closes: #497305

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 29 Sep 2008 18:31:33 +0300

nslu2-utils (20080403-2) unstable; urgency=low

  * zleds: Fix bashism. Closes: #481545

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jul 2008 12:32:04 -0400
