=== debian/control ===
Source: nslu2-utils
Section: admin
Priority: extra
Build-Depends: debhelper (>= 5.0.30), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Martin Michlmayr <tbm@cyrius.com>, Rod Whitby <rod@whitby.id.au>
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/pkg-nslu2-utils/trunk

Package: nslu2-utils
Architecture: arm armel armeb
Depends: ${misc:Depends}, ${shlib:Depends}, slugimage, devio, flash-kernel (>= 1.8)
Suggests: beep
Conflicts: initramfs-tools (<< 0.60)
Description: utilities and init scripts for the Linksys NSLU2
 This package is intended to be used on the Linksys NSLU2 network storage
 server (aka the "slug"). It includes a "leds" utility that can control the
 leds on the front of the NSLU2, and init scripts to do useful things with
 the leds while booting.
