=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installman nslu2-flashkernel.8 files/leds.8
	chmod +x initramfs-tools/hooks/nslu2 \
		initramfs-tools/scripts/local-top/nslu2
	dh_install initramfs-tools usr/share
	dh_install files/leds usr/bin
	dh_install nslu2-flashkernel usr/sbin
	dh_install files/initscripts/zleds files/initscripts/rmrecovery \
		files/initscripts/leds_startup etc/init.d
	dh_installdirs etc/default
	cp files/initscripts/rmrecovery.default debian/nslu2-utils/etc/default/rmrecovery
	dh_installinit --no-start --onlyscripts --name=zleds \
		-- start 99 S 1 2 3 4 5 . stop 5 0 1 2 3 4 5 6 .
	dh_installinit --no-start --onlyscripts --name=rmrecovery \
		-- start 99 1 2 3 4 5 .
	dh_installinit --no-start --onlyscripts --name=leds_startup \
		-- start 1 1 2 3 4 5 .
	dh_installinit --no-start --name=nslu2-rtc \
		-- start 10 S .
	dh_installudev --name=nslu2-rtc
	dh_installudev --name=nslu2-led

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
