## nslu2-utils 20080403-4

=== debian/changelog ===
nslu2-utils (20080403-4) unstable; urgency=low

  * ACK NMU. Closes: #545204
  * Fix name of start script called by stop scripts (broken by NMU).
    Closes: #547672
  * Drop the nslu2-rtc init script, since rtc_dev has been built into
    the kernel since before the release of stable. Closes: #509719
  * Fix preinst to be set -e.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Oct 2009 09:49:53 -0400

nslu2-utils (20080403-3.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal bug.
  * Add missing LSB headers to init.d scripts, and rewrite the init.d script
    handling to only start or stop in a given runlevel (Closes: #507545).
  * Fix misspelled ${shlibs:Depends} in debian/control (Closes: #511763).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2009 17:32:38 +0000
