=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Build-Depends: debhelper (>= 5.0.30), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Martin Michlmayr <tbm@cyrius.com>, Rod Whitby <rod@whitby.id.au>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/pkg-nslu2-utils/trunk
 
 Package: nslu2-utils
 Architecture: arm armel armeb
-Depends: ${misc:Depends}, ${shlib:Depends}, slugimage, devio, flash-kernel (>= 1.8)
+Depends: ${misc:Depends}, ${shlibs:Depends}, slugimage, devio, flash-kernel (>= 1.8)
 Suggests: beep
 Conflicts: initramfs-tools (<< 0.60)
 Description: utilities and init scripts for the Linksys NSLU2
