=== debian/rules ===
--- 
+++ 
@@ -17,18 +17,25 @@
 	dh_install initramfs-tools usr/share
 	dh_install files/leds usr/bin
 	dh_install nslu2-flashkernel usr/sbin
-	dh_install files/initscripts/zleds files/initscripts/rmrecovery \
-		files/initscripts/leds_startup etc/init.d
+	dh_install files/initscripts/rmrecovery etc/init.d
+	set -e ; tmpdir=debian/nslu2-utils; for runlvl in S 1 2 3 4 5 ; do \
+		startscript="etc/init.d/leds-lvl$$runlvl" ; \
+		stopscript="etc/init.d/zleds-stop-lvl$$runlvl" ; \
+		cp files/initscripts/leds $$tmpdir/$$startscript ; \
+		cp files/initscripts/zleds-stop $$tmpdir/$$stopscript ; \
+		for file in $$startscript $$stopscript ; do \
+			sed s/@LVL@/$$runlvl/ < $$tmpdir/$$file > foo \
+				&& mv foo $$tmpdir/$$file ; \
+		done ; \
+		dh_installinit --no-start --onlyscripts \
+			--name=leds-lvl$$runlvl -- start 1 $$runlvl . ; \
+		dh_installinit --no-start --onlyscripts \
+			--name=zleds-stop-lvl$$runlvl -- start 99 $$runlvl . ; \
+	done
 	dh_installdirs etc/default
 	cp files/initscripts/rmrecovery.default debian/nslu2-utils/etc/default/rmrecovery
-	dh_installinit --no-start --onlyscripts --name=zleds \
-		-- start 99 S 1 2 3 4 5 . stop 5 0 1 2 3 4 5 6 .
 	dh_installinit --no-start --onlyscripts --name=rmrecovery \
 		-- start 99 1 2 3 4 5 .
-	dh_installinit --no-start --onlyscripts --name=leds_startup \
-		-- start 1 1 2 3 4 5 .
-	dh_installinit --no-start --name=nslu2-rtc \
-		-- start 10 S .
 	dh_installudev --name=nslu2-rtc
 	dh_installudev --name=nslu2-led
